Closed Bug 955619 Opened 8 years ago Closed 8 years ago

Remove unnecessary sorting of tag list

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: benediktp, Assigned: aleth)

Details

Attachments

(1 file)

*** Original post on bio 2177 at 2013-09-16 08:44:00 UTC ***

Bug 953891 (bio 451) made the tag service always return a sorted list of tags which makes a number of sort calls that existed before unnecessary now. Maybe looking for code around |getTags| calls [1] might help to find these places.
There are at least some in addbuddy.js and blist.js (see bug 954754 (bio 1322)).

[1] http://lxr.instantbird.org/instantbird/search?string=getTags
Attached patch PatchSplinter Review
*** Original post on bio 2177 as attmnt 2944 at 2013-10-12 17:06:00 UTC ***

I could only find one unnecessary sort call.
Attachment #8354723 - Flags: review?(benediktp)
Assignee: nobody → aleth
Status: NEW → ASSIGNED
*** Original post on bio 2177 at 2013-10-12 19:18:09 UTC ***

I know the stats service sorts them:

http://lxr.instantbird.org/instantbird/source/instantbird/components/ibConvStatsService.js#623
*** Original post on bio 2177 at 2013-10-14 16:18:51 UTC ***

(In reply to comment #2)
> I know the stats service sorts them:
> 
> http://lxr.instantbird.org/instantbird/source/instantbird/components/ibConvStatsService.js#623

Yes, but those are tags on a contact. getTags() on a contact doesn't sort the results (though probably it should).
Comment on attachment 8354723 [details] [diff] [review]
Patch

*** Original change on bio 2177 attmnt 2944 at 2013-10-15 21:25:29 UTC ***

There was indeed only this one place left where it wasn't removed. Thanks!
Attachment #8354723 - Flags: review?(benediktp) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2177 at 2013-10-15 23:21:18 UTC ***

http://hg.instantbird.org/instantbird/rev/07a1735a279f
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.